--- a/rpm/redhat/master/skytools/master/skytools.spec
+++ b/rpm/redhat/master/skytools/master/skytools.spec
@@ -12,7 +12,7 @@
 Summary:       PostgreSQL database management tools from Skype
 Name:          %{sname}-%{pgmajorversion}
 Version:       3.2.6
-Release:       1%{?dist}
+Release:       2%{?dist}
 License:       BSD
 Group:         Applications/Databases
 Source0:       https://github.com/markokr/%{sname}/archive/%{version}.tar.gz
@@ -58,6 +58,8 @@ rmdir lib
 %if %{pgmajorversion} != 92
 sed -ie '/^#include <parser\/keywords.h>/s:parser/keywords.h:common/keywords.h:' sql/pgq/triggers/stringutil.c
 %endif
+sed -ie '/^pg83/s:shell test.*$:shell [ $( echo -e "$PGVER\\n8.3"|sort -gt. -k1 -k2|head -n1 ) = $PGVER ] \&\& echo false || echo true):' sql/txid/Makefile
+sed -ie '/^pg82/s:shell test.*$:shell [ $( echo -e "$PGVER\\n8.2"|sort -gt. -k1 -k2|head -n1 ) = $PGVER ] \&\& echo false || echo true):' sql/txid/Makefile
 ./autogen.sh
 %configure --with-pgconfig=%{pginstdir}/bin/pg_config --with-asciidoc

@@ -189,6 +191,9 @@ sed -ie '/^#include <parser\/keywords.h>/s:parser/keywords.h:common/keywords.h:'
 %{pginstdir}/share/contrib/pgq_triggers.sql

 %changelog
+* Mon Dec 18 2017 Victor Yegorov <vyegorov@gmail.com> - 3.2.6-2
+- Fix sql/txid/Makefile for new versioning scheme
+
 * Wed Sep 28 2016 Victor Yegorov <vyegorov@gmail.com> - 3.2.6-1
 - Update to 3.2.6

